Skip to main content
GET
/
public
/
v2
/
workflows
/
actions
List approval actions
curl --request GET \
  --url https://api.dualentry.com/public/v2/workflows/actions/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "workflow_execution_state_id": 123,
      "record_id": 123,
      "record_type": "<string>",
      "approver": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>"
      },
      "action_type": "<string>",
      "rejection_reason": "<string>",
      "step_name": "<string>",
      "step_order": 123,
      "substep_order": 123,
      "workflow_version": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

workflow_execution_state_id
integer[] | null
record_type
string | null
record_id
integer[] | null
action_type
string[] | null
approver_id
integer[] | null
start_date
string<date-time> | null
end_date
string<date-time> | null
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicApprovalActionSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026